# Created by pyp2rpm-1.1.2
%global pypi_name XStatic-term.js

Name:           python-XStatic-termjs
Version:        0.0.4.2
Release:        1%{?dist}
Summary:        term.js (XStatic packaging standard)

License:        MIT
URL:            https://github.com/chjj/term.js
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  web-assets-devel

Requires: python-XStatic
Requires: web-assets-filesystem


%description
term.js javascript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/termjs'|" xstatic/pkg/termjs/__init__.py
#



%build
# due
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_jsdir}/termjs
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/termjs/data/term.js %{buildroot}/%{_jsdir}/termjs



%files
%doc README.rst
%{python2_sitelib}/xstatic/pkg/termjs
%{python2_sitelib}/XStatic_term.js-%{version}-py?.?-*.pth
%{python2_sitelib}/XStatic_term.js-%{version}-py?.?.egg-info
%{_jsdir}/termjs

%changelog
* Thu Feb 19 2015 Matthias Runge <mrunge@redhat.com> - 0.0.4.2-1
- Initial package (rhbz#1194225).
